@extends('layouts.admin')
@section('title',__('adminstaticwords.CreateAudio'))

@section('content')
<div class="admin-form-main-block">
  <h4 class="admin-form-text">
    @can('audio.view')
      <a href="{{url('admin/worldcuplive')}}" data-toggle="tooltip" data-original-title="{{__('adminstaticwords.GoBack')}}" class="btn-floating"><i class="material-icons">reply</i></a>
    @endcan 
    Edit Live
  </h4>
  <div class="row">
     <div class="col-md-6">
     <div class="admin-form-block z-depth-1">
     {!! Form::model($live, ['method' => 'PATCH', 'action' => ['WorldCupLiveController@update',$live->id] ,'files' => true]) !!}
        <div id="movie_title" class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
        {!! Form::label('title', 'Live title') !!} 
        <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="live Name"></i>
        <input  type="text" class="form-control" name="title" value="{{ $live->title }}">
        <small class="text-danger">{{ $errors->first('title') }}</small>
      </div>


            <div id="ifbox" style="display: none;" class="form-group">

                <label for="description">description: </label> 
                  <input  type="text" class="form-control" name="description" placeholder=""  value="{{$live['description']}}">

                  <label for="url">url: </label> 
                 <input  type="text" class="form-control" name="url" placeholder=""  value="{{$live['url']}}">

            </div>
            @php
            $image1 = 'images/live/'. $live->image1;
                                    // Read image path, convert to base64 encoding
                                    
                                  $imageData = base64_encode(@file_get_contents($image1));
                                  if($imageData){
                                    // Format the image SRC:  data:{mime};base64,{data};
                                    $src1 = 'data: '.mime_content_type($image1).';base64,'.$imageData;
                                  }else{
                                     $src1 = '';
                                  }

                                  $image2 = 'images/live/'. $live->image2;
                                    // Read image path, convert to base64 encoding
                                    
                                  $imageData = base64_encode(@file_get_contents($image2));
                                  if($imageData){
                                    // Format the image SRC:  data:{mime};base64,{data};
                                    $src2 = 'data: '.mime_content_type($image2).';base64,'.$imageData;
                                  }else{
                                     $src2 = '';
                                  }
                                  $image3 = 'images/live/'. $live->image3;
                                    // Read image path, convert to base64 encoding
                                    
                                  $imageData = base64_encode(@file_get_contents($image3));
                                  if($imageData){
                                    // Format the image SRC:  data:{mime};base64,{data};
                                    $src3 = 'data: '.mime_content_type($image3).';base64,'.$imageData;
                                  }else{
                                     $src3 = '';
                                  }
            @endphp







            <div class="form-group{{ $errors->has('live') ? ' has-error' : '' }} input-file-block">
              {!! Form::label('image1', 'First Image') !!}
              <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="{{__('adminstaticwords.UploadGenreImage')}}"></i>
              {!! Form::file('image1', ['class' => 'input-file', 'id'=>'image1']) !!}
              <label for="image1" class="btn btn-danger js-labelFile" data-toggle="tooltip" data-original-title="First image">
                <i class="icon fa fa-check"></i>
                <span class="js-fileName">{{__('adminstaticwords.ChooseAFile')}}</span>
              </label>
              <p class="info">{{__('adminstaticwords.ChooseCustomImage')}}</p>
              <small class="text-danger">{{ $errors->first('image') }}</small>
            </div>

            <img src="{{ $src1 }}" class="img-responsive owl-lazy"  alt="slider-image">
  

            <div class="form-group{{ $errors->has('live') ? ' has-error' : '' }} input-file-block">
              {!! Form::label('image2', 'second Image') !!}
              <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="{{__('adminstaticwords.UploadGenreImage')}}"></i>
              {!! Form::file('image2', ['class' => 'input-file', 'id'=>'image2']) !!}
              <label for="image2" class="btn btn-danger js-labelFile" data-toggle="tooltip" data-original-title="Second image">
                <i class="icon fa fa-check"></i>
                <span class="js-fileName">{{__('adminstaticwords.ChooseAFile')}}</span>
              </label>
              <p class="info">{{__('adminstaticwords.ChooseCustomImage')}}</p>
              <small class="text-danger">{{ $errors->first('image2') }}</small>
            </div>

            <img src="{{ $src2 }}"  class="img-responsive owl-lazy" alt="slider-image">

            <div class="form-group{{ $errors->has('live') ? ' has-error' : '' }} input-file-block">
              {!! Form::label('image3','third Image') !!}
              <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="{{__('adminstaticwords.UploadGenreImage')}}"></i>
              {!! Form::file('image3', ['class' => 'input-file', 'id'=>'image3']) !!}
              <label for="image3" class="btn btn-danger js-labelFile" data-toggle="tooltip" data-original-title="Third image">
                <i class="icon fa fa-check"></i>
                <span class="js-fileName">{{__('adminstaticwords.ChooseAFile')}}</span>
              </label>
              <p class="info">{{__('adminstaticwords.ChooseCustomImage')}}</p>
              <small class="text-danger">{{ $errors->first('image3') }}</small>
            </div>
            <img src="{{ $src3 }}" class="img-responsive owl-lazy" alt="slider-image">

            <div class="form-group{{ $errors->has('status') ? ' has-error' : '' }}">
    {!! Form::label('selectimg','Select Image to show') !!}
    <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="{{__('adminstaticwords.PleaseSelectGenres')}}"></i>
    <div class="input-group">
      {!! Form::select('selectimg', $img_l, $live['selectimg'], ['class' => 'form-control select2', 'single']) !!}
    
    </div>  
</div>


  <div class="btn-group pull-right">
    <button type="reset" class="btn btn-info"><i class="material-icons left">toys</i> {{__('adminstaticwords.Reset')}}</button>
    <button type="submit" class="btn btn-success"><i class="material-icons left">add_to_photos</i> {{__('adminstaticwords.Create')}}</button>
  </div>
{!! Form::close() !!}
</div>
</div>
</div>
</div>
<!-- Add Language Modal -->


<!-- Add Genre Modal -->
<div id="AddGenreModal" class="modal fade" role="dialog">
  <div class="modal-dialog modal-sm">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h5 class="modal-title">{{__('adminstaticwords.AddGenre')}}</h5>
      </div>
      {!! Form::open(['method' => 'POST', 'action' => 'GenreController@store']) !!}
      <div class="modal-body admin-form-block">
        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
          {!! Form::label('name', __('adminstaticwords.Name')) !!}
          {!! Form::text('name', null, ['class' => 'form-control', 'required' => 'required']) !!}
          <small class="text-danger">{{ $errors->first('name') }}</small>
        </div>
      </div>
      <div class="modal-footer">
        <div class="btn-group pull-right">
          <button type="reset" class="btn btn-info"><i class="material-icons left">toys</i> {{__('adminstaticwords.Reset')}}</button>
          <button type="submit" class="btn btn-success"><i class="material-icons left">add_to_photos</i> {{__('adminstaticwords.Create')}}</button>
        </div>
      </div>
      <div class="clear-both"></div>
      {!! Form::close() !!}
    </div>
  </div>
</div>
@endsection

@section('custom-script')


<script>
  $(document).ready(function(){
   $('#ifbox').show();
   $('#selecturl').change(function(){  
     selecturl = document.getElementById("selecturl").value;
      if (selecturl == 'audiourl') {
    $('#ifbox').show();
    $('#uploadaudio').hide();

  }else if (selecturl == 'upload_audio') {
   $('#uploadaudio').show();
   $('#ifbox').hide();

 }

});
 

  $('input[name="is_protect"]').click(function(){
    if($(this).prop("checked") == true){
      $('.is_protect').fadeIn();
    }
    else if($(this).prop("checked") == false){
      $('.is_protect').fadeOut();
    }
  });
});
</script>



</script>
@endsection
